org.jboss.netty.channel.local

## Interface LocalClientChannelFactory

- All Superinterfaces:
    ChannelFactory, ExternalResourceReleasable
  All Known Implementing Classes:
    DefaultLocalClientChannelFactory

      public interface LocalClientChannelFactory
      extends ChannelFactory

  A `ChannelFactory` that creates a client-side `LocalChannel`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LocalChannel` | `newChannel(ChannelPipeline pipeline)` Creates and opens a new `Channel` and attaches the specified `ChannelPipeline` to the new `Channel`.

    - ### Methods inherited from interface org.jboss.netty.channel.ChannelFactory

      `releaseExternalResources`

- - ### Method Detail

    - #### newChannel

          LocalChannel newChannel(ChannelPipeline pipeline)

      Description copied from interface: `ChannelFactory`
      Creates and opens a new `Channel` and attaches the specified `ChannelPipeline` to the new `Channel`.
      Specified by:
        `newChannel` in interface `ChannelFactory`
      Parameters:
        `pipeline` - the `ChannelPipeline` which is going to be attached to the new `Channel`
      Returns:
        the newly open channel

Copyright © 2008-2012 The Netty Project. All Rights Reserved.